#

#CC=gcc
CC=/compat/linux/opt/Embedix/tools/bin/arm-linux-gcc
STRIP=/compat/linux/opt/Embedix/tools/bin/arm-linux-strip

TARGET=ek2
CFLAGS=-DEBUG -g -DLINUX -DSLZAURUS -Wall
#CFLAGS=-Wall

LIBS=-lutil
OBJS=ek2.o tty.o codeconv.o irkb101.o ps2key.o

ALL: $(TARGET)

$(OBJS): tty.h codeconv.h

.c.o:
	$(CC) $(CFLAGS) -c $<

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

clean:
	/bin/rm -f $(TARGET) $(OBJS)

irkb101: irkb101.c $(OBJS)
	$(CC) $(CFLAGS) -DMAIN -o irkb101 irkb101.c tty.o ps2key.o

strip:
	$(STRIP) $(TARGET)
	$(STRIP) irkb101
